Subject: Re: exim 4.12-3 winsock problem (was Re: 1.3.21)
From: Jason Tishler <[email-masked]>
To: "Pierre A. Humblet" <[email-masked]>
Cc: [email-masked]
Date: Tue, 25 Feb 2003 12:01:55 -0500

Pierre,

On Tue, Feb 25, 2003 at 10:02:49AM -0500, Pierre A. Humblet wrote:
> So I suggest a simple test: edit /etc/passwd and change the gid of the
> exim user to 545, then run again.

The above fixed the problem.  I apologize for not being able to figure
this out myself.

> By the way, I am not sure what you try to achieve running the exim
> daemon as a special exim user.

I'm not:

    $ sc qc exim
    [SC] GetServiceConfig SUCCESS

    SERVICE_NAME: exim
            TYPE               : 10  WIN32_OWN_PROCESS 
            START_TYPE         : 2   AUTO_START
            ERROR_CONTROL      : 1   NORMAL
            BINARY_PATH_NAME   : C:\cygwin\bin\cygrunsrv.exe  
            LOAD_ORDER_GROUP   :   
            TAG                : 0  
            DISPLAY_NAME       : exim  
            DEPENDENCIES       :   
            SERVICE_START_NAME : LocalSystem

> Also, it may be just fine to run the daemon with gid 545 but do
> deliveries with gid 1009. That's controlled from /etc/exim.conf, group
> = mail in the local_delivery transport.

I am (and have been) doing the above.

> The issue with that approach is if exim execs itself: it will then be
> unprivileged with uid 1008 and gid 545 and wouldn't be able to make
> local deliveries.

I haven't seen the above issue (yet).

> I have another question: when you run under strace are things fine or
> do you hit another error? 

Another error:

    2003-02-21 11:11:06 IPv4 socket creation failed: Operation not permitted

Thanks,
Jason

-- 
PGP/GPG Key: http://www.tishler.net/jason/pubkey.asc or key servers
Fingerprint: 7A73 1405 7F2B E669 C19D  8784 1AFD E4CC ECF4 8EF6

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/